<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ximai.mes.pro.mapper.productionSolution.ProProductionSolutionSpecificationSheetMapper">

    <resultMap type="ProProductionSolutionSpecificationSheet" id="ProProductionSolutionSpecificationSheetResult">
        <result property="specificationSheetId" column="specification_sheet_id"/>
        <result property="productionSolutionId" column="production_solution_id"/>
        <result property="specificationSheetType" column="specification_sheet_type"/>
        <result property="brandName" column="brand_name"/>
        <result property="enName" column="en_name"/>
        <result property="purchaseUnit" column="purchase_unit"/>
        <result property="conversionValue" column="conversion_value"/>
        <result property="singleLayerThick" column="single_layer_thick"/>
        <result property="singleWeight" column="single_weight"/>
        <result property="layerNum" column="layer_num"/>
        <result property="length" column="length"/>
        <result property="height" column="height"/>
        <result property="width" column="width"/>
        <result property="printingPaperlenth" column="printing_paperlenth"/>
        <result property="printPaperwidth" column="print_paperwidth"/>
        <result property="sendworkMultiple" column="sendwork_multiple"/>
        <result property="frontColorName" column="front_color_name"/>
        <result property="oppositeColorName" column="opposite_color_name"/>
        <result property="storePlace" column="store_place"/>
        <result property="isAddSimple" column="is_add_simple"/>
        <result property="isUniqueCode" column="is_unique_code"/>
        <result property="isConsiderColor" column="is_consider_color"/>
        <result property="formula" column="formula"/>
        <result property="productMaterial" column="product_material"/>
        <result property="modality" column="modality"/>
        <result property="surfaceTreatment" column="surface_treatment"/>
        <result property="testStandard" column="test_standard"/>
        <result property="screenItem" column="screen_item"/>
        <result property="pibanItem" column="piban_item"/>
        <result property="diecuttingItem" column="diecutting_item"/>
        <result property="standardColor" column="standard_color"/>
        <result property="module" column="module"/>
        <result property="colNum" column="col_num"/>
        <result property="buttstrapNum" column="buttstrap_num"/>
        <result property="coldoubleCutspacing" column="coldouble_cutspacing"/>
        <result property="rowdoubleCutspacing" column="rowdouble_cutspacing"/>
        <result property="weight" column="weight"/>
        <result property="isAllotype" column="is_allotype"/>
        <result property="isRightAngle" column="is_right_angle"/>
        <result property="angle" column="angle"/>
        <result property="aperture" column="aperture"/>
        <result property="thick" column="thick"/>
        <result property="isMould" column="is_mould"/>
        <result property="isCoding" column="is_coding"/>
        <result property="certification" column="certification"/>
        <result property="shape" column="shape"/>
        <result property="shapeSize" column="shape_size"/>
        <result property="remark" column="remark"/>
        <result property="frontImg" column="front_img"/>
        <result property="backImg" column="back_img"/>
        <result property="blownFilmWidth" column="blown_film_width"/>
        <result property="blownFilmThickness" column="blown_film_thickness"/>
        <result property="printingWidth" column="printing_width"/>
        <result property="inlay" column="inlay"/>
        <result property="unitOfMeasure" column="unit_of_measure"/>
        <result property="customerConfirmedBy" column="customer_confirmed_by"/>
        <result property="customerConfirmedDate" column="customer_confirmed_date"/>
        <result property="rdApprovedBy" column="rd_approved_by"/>
        <result property="rdReviewedBy" column="rd_reviewed_by"/>
        <result property="rdPreparedBy" column="rd_prepared_by"/>
        <result property="rowNum" column="row_num"/>
        <result property="isCreateSpec" column="is_create_spec"/>
        <result property="isNeedShoeImg" column="is_need_shoe_img"/>
        <result property="isFillet" column="is_fillet"/>
        <result property="dieSunkOffsetOilTankNum"    column="die_sunk_offset_oil_tank_num"    />
        <result property="printingMethod"    column="printing_method"    />
    </resultMap>

    <sql id="selectProProductionSolutionSpecificationSheetVo">
        select specification_sheet_id,
               production_solution_id,
               specification_sheet_type,
               brand_name,
               en_name,
               purchase_unit,
               conversion_value,
               single_layer_thick,
               single_weight,
               layer_num,
               length,
               height,
               width,
               printing_paperlenth,
               print_paperwidth,
               sendwork_multiple,
               front_color_name,
               opposite_color_name,
               store_place,
               is_add_simple,
               is_unique_code,
               is_consider_color,
               formula,
               product_material,
               modality,
               surface_treatment,
               test_standard,
               screen_item,
               piban_item,
               diecutting_item,
               standard_color,
               `module`,
               col_num,
               buttstrap_num,
               coldouble_cutspacing,
               rowdouble_cutspacing,
               weight,
               is_allotype,
               is_right_angle,
               angle,
               aperture,
               thick,
               is_mould,
               is_coding,
               certification,
               shape,
               shape_size,
               remark,
               front_img,
               back_img,
               blown_film_width,
               blown_film_thickness,
               printing_width,
               inlay,
               unit_of_measure,
               customer_confirmed_by,
               customer_confirmed_date,
               rd_approved_by,
               rd_reviewed_by,
               rd_prepared_by,
               row_num,
               is_create_spec,
               is_need_shoe_img,
               is_fillet,
               die_sunk_offset_oil_tank_num,
               printing_method
        from pro_production_solution_specification_sheet
    </sql>

    <select id="selectProProductionSolutionSpecificationSheetList"
            parameterType="ProProductionSolutionSpecificationSheet"
            resultMap="ProProductionSolutionSpecificationSheetResult">
        <include refid="selectProProductionSolutionSpecificationSheetVo"/>
        <where>
            <if test="productionSolutionId != null ">and production_solution_id = #{productionSolutionId}</if>
            <if test="specificationSheetType != null  and specificationSheetType != ''">and specification_sheet_type =
                #{specificationSheetType}
            </if>
            <if test="brandName != null  and brandName != ''">and brand_name like concat('%', #{brandName}, '%')</if>
            <if test="enName != null  and enName != ''">and en_name like concat('%', #{enName}, '%')</if>
            <if test="purchaseUnit != null  and purchaseUnit != ''">and purchase_unit = #{purchaseUnit}</if>
            <if test="conversionValue != null  and conversionValue != ''">and conversion_value = #{conversionValue}</if>
            <if test="singleLayerThick != null ">and single_layer_thick = #{singleLayerThick}</if>
            <if test="singleWeight != null ">and single_weight = #{singleWeight}</if>
            <if test="layerNum != null ">and layer_num = #{layerNum}</if>
            <if test="length != null ">and length = #{length}</if>
            <if test="height != null ">and height = #{height}</if>
            <if test="width != null ">and width = #{width}</if>
            <if test="printingPaperlenth != null ">and printing_paperlenth = #{printingPaperlenth}</if>
            <if test="printPaperwidth != null ">and print_paperwidth = #{printPaperwidth}</if>
            <if test="sendworkMultiple != null ">and sendwork_multiple = #{sendworkMultiple}</if>
            <if test="frontColorName != null  and frontColorName != ''">and front_color_name like concat('%',
                #{frontColorName}, '%')
            </if>
            <if test="oppositeColorName != null  and oppositeColorName != ''">and opposite_color_name like concat('%',
                #{oppositeColorName}, '%')
            </if>
            <if test="storePlace != null  and storePlace != ''">and store_place = #{storePlace}</if>
            <if test="isAddSimple != null  and isAddSimple != ''">and is_add_simple = #{isAddSimple}</if>
            <if test="isUniqueCode != null  and isUniqueCode != ''">and is_unique_code = #{isUniqueCode}</if>
            <if test="isConsiderColor != null  and isConsiderColor != ''">and is_consider_color = #{isConsiderColor}
            </if>
            <if test="formula != null  and formula != ''">and formula = #{formula}</if>
            <if test="productMaterial != null  and productMaterial != ''">and product_material = #{productMaterial}</if>
            <if test="modality != null  and modality != ''">and modality = #{modality}</if>
            <if test="surfaceTreatment != null  and surfaceTreatment != ''">and surface_treatment =
                #{surfaceTreatment}
            </if>
            <if test="testStandard != null  and testStandard != ''">and test_standard = #{testStandard}</if>
            <if test="screenItem != null ">and screen_item = #{screenItem}</if>
            <if test="pibanItem != null ">and piban_item = #{pibanItem}</if>
            <if test="diecuttingItem != null ">and diecutting_item = #{diecuttingItem}</if>
            <if test="standardColor != null  and standardColor != ''">and standard_color = #{standardColor}</if>
            <if test="module != null ">and `module` = #{module}</if>
            <if test="colNum != null ">and col_num = #{colNum}</if>
            <if test="buttstrapNum != null ">and buttstrap_num = #{buttstrapNum}</if>
            <if test="coldoubleCutspacing != null ">and coldouble_cutspacing = #{coldoubleCutspacing}</if>
            <if test="rowdoubleCutspacing != null ">and rowdouble_cutspacing = #{rowdoubleCutspacing}</if>
            <if test="weight != null ">and weight = #{weight}</if>
            <if test="isAllotype != null  and isAllotype != ''">and is_allotype = #{isAllotype}</if>
            <if test="isRightAngle != null  and isRightAngle != ''">and is_right_angle = #{isRightAngle}</if>
            <if test="angle != null ">and angle = #{angle}</if>
            <if test="aperture != null ">and aperture = #{aperture}</if>
            <if test="thick != null ">and thick = #{thick}</if>
            <if test="isMould != null  and isMould != ''">and is_mould = #{isMould}</if>
            <if test="isCoding != null  and isCoding != ''">and is_coding = #{isCoding}</if>
            <if test="certification != null  and certification != ''">and certification = #{certification}</if>
            <if test="shape != null  and shape != ''">and shape = #{shape}</if>
            <if test="shapeSize != null ">and shape_size = #{shapeSize}</if>
            <if test="frontImg != null  and frontImg != ''">and front_img = #{frontImg}</if>
            <if test="backImg != null  and backImg != ''">and back_img = #{backImg}</if>
            <if test="blownFilmWidth != null ">and blown_film_width = #{blownFilmWidth}</if>
            <if test="blownFilmThickness != null ">and blown_film_thickness = #{blownFilmThickness}</if>
            <if test="printingWidth != null ">and printing_width = #{printingWidth}</if>
            <if test="inlay != null  and inlay != ''">and inlay = #{inlay}</if>
            <if test="unitOfMeasure != null  and unitOfMeasure != ''">and unit_of_measure = #{unitOfMeasure}</if>
            <if test="customerConfirmedBy != null  and customerConfirmedBy != ''">and customer_confirmed_by =
                #{customerConfirmedBy}
            </if>
            <if test="customerConfirmedDate != null ">and customer_confirmed_date = #{customerConfirmedDate}</if>
            <if test="rdApprovedBy != null ">and rd_approved_by = #{rdApprovedBy}</if>
            <if test="rdReviewedBy != null ">and rd_reviewed_by = #{rdReviewedBy}</if>
            <if test="rdPreparedBy != null ">and rd_prepared_by = #{rdPreparedBy}</if>
            <if test="rowNum != null ">and row_num = #{rowNum}</if>
            <if test="isCreateSpec != null  and isCreateSpec != ''">and is_create_spec = #{isCreateSpec}</if>
            <if test="isNeedShoeImg != null  and isNeedShoeImg != ''">and is_need_shoe_img = #{isNeedShoeImg}</if>
            <if test="isFillet != null  and isFillet != ''">and is_fillet = #{isFillet}</if>
        </where>
    </select>

    <select id="selectProProductionSolutionSpecificationSheetBySpecificationSheetId" parameterType="Long"
            resultMap="ProProductionSolutionSpecificationSheetResult">
        <include refid="selectProProductionSolutionSpecificationSheetVo"/>
        where specification_sheet_id = #{specificationSheetId}
    </select>
    <select id="selectSpecificationSheetByProductionSolutionId"
            parameterType="Long" resultMap="ProProductionSolutionSpecificationSheetResult">
        <include refid="selectProProductionSolutionSpecificationSheetVo"/>
        where production_solution_id = #{productionSolutionId}
    </select>

    <insert id="insertProProductionSolutionSpecificationSheet" parameterType="ProProductionSolutionSpecificationSheet"
            useGeneratedKeys="true" keyProperty="specificationSheetId">
        insert into pro_production_solution_specification_sheet
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="productionSolutionId != null">production_solution_id,</if>
            <if test="specificationSheetType != null">specification_sheet_type,</if>
            <if test="brandName != null">brand_name,</if>
            <if test="enName != null">en_name,</if>
            <if test="purchaseUnit != null">purchase_unit,</if>
            <if test="conversionValue != null">conversion_value,</if>
            <if test="singleLayerThick != null">single_layer_thick,</if>
            <if test="singleWeight != null">single_weight,</if>
            <if test="layerNum != null">layer_num,</if>
            <if test="length != null">length,</if>
            <if test="height != null">height,</if>
            <if test="width != null">width,</if>
            <if test="printingPaperlenth != null">printing_paperlenth,</if>
            <if test="printPaperwidth != null">print_paperwidth,</if>
            <if test="sendworkMultiple != null">sendwork_multiple,</if>
            <if test="frontColorName != null">front_color_name,</if>
            <if test="oppositeColorName != null">opposite_color_name,</if>
            <if test="storePlace != null">store_place,</if>
            <if test="isAddSimple != null">is_add_simple,</if>
            <if test="isUniqueCode != null">is_unique_code,</if>
            <if test="isConsiderColor != null">is_consider_color,</if>
            <if test="formula != null">formula,</if>
            <if test="productMaterial != null">product_material,</if>
            <if test="modality != null">modality,</if>
            <if test="surfaceTreatment != null">surface_treatment,</if>
            <if test="testStandard != null">test_standard,</if>
            <if test="screenItem != null">screen_item,</if>
            <if test="pibanItem != null">piban_item,</if>
            <if test="diecuttingItem != null">diecutting_item,</if>
            <if test="standardColor != null">standard_color,</if>
            <if test="module != null">`module`,</if>
            <if test="colNum != null">col_num,</if>
            <if test="buttstrapNum != null">buttstrap_num,</if>
            <if test="coldoubleCutspacing != null">coldouble_cutspacing,</if>
            <if test="rowdoubleCutspacing != null">rowdouble_cutspacing,</if>
            <if test="weight != null">weight,</if>
            <if test="isAllotype != null">is_allotype,</if>
            <if test="isRightAngle != null">is_right_angle,</if>
            <if test="angle != null">angle,</if>
            <if test="aperture != null">aperture,</if>
            <if test="thick != null">thick,</if>
            <if test="isMould != null">is_mould,</if>
            <if test="isCoding != null">is_coding,</if>
            <if test="certification != null">certification,</if>
            <if test="shape != null">shape,</if>
            <if test="shapeSize != null">shape_size,</if>
            <if test="remark != null">remark,</if>
            <if test="frontImg != null">front_img,</if>
            <if test="backImg != null">back_img,</if>
            <if test="blownFilmWidth != null">blown_film_width,</if>
            <if test="blownFilmThickness != null">blown_film_thickness,</if>
            <if test="printingWidth != null">printing_width,</if>
            <if test="inlay != null">inlay,</if>
            <if test="unitOfMeasure != null">unit_of_measure,</if>
            <if test="customerConfirmedBy != null">customer_confirmed_by,</if>
            <if test="customerConfirmedDate != null">customer_confirmed_date,</if>
            <if test="rdApprovedBy != null">rd_approved_by,</if>
            <if test="rdReviewedBy != null">rd_reviewed_by,</if>
            <if test="rdPreparedBy != null">rd_prepared_by,</if>
            <if test="rowNum != null">row_num,</if>
            <if test="isCreateSpec != null">is_create_spec,</if>
            <if test="isNeedShoeImg != null">is_need_shoe_img,</if>
            <if test="isFillet != null">is_fillet,</if>
            <if test="dieSunkOffsetOilTankNum != null">die_sunk_offset_oil_tank_num,</if>
            <if test="printingMethod != null">printing_method,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="productionSolutionId != null">#{productionSolutionId},</if>
            <if test="specificationSheetType != null">#{specificationSheetType},</if>
            <if test="brandName != null">#{brandName},</if>
            <if test="enName != null">#{enName},</if>
            <if test="purchaseUnit != null">#{purchaseUnit},</if>
            <if test="conversionValue != null">#{conversionValue},</if>
            <if test="singleLayerThick != null">#{singleLayerThick},</if>
            <if test="singleWeight != null">#{singleWeight},</if>
            <if test="layerNum != null">#{layerNum},</if>
            <if test="length != null">#{length},</if>
            <if test="height != null">#{height},</if>
            <if test="width != null">#{width},</if>
            <if test="printingPaperlenth != null">#{printingPaperlenth},</if>
            <if test="printPaperwidth != null">#{printPaperwidth},</if>
            <if test="sendworkMultiple != null">#{sendworkMultiple},</if>
            <if test="frontColorName != null">#{frontColorName},</if>
            <if test="oppositeColorName != null">#{oppositeColorName},</if>
            <if test="storePlace != null">#{storePlace},</if>
            <if test="isAddSimple != null">#{isAddSimple},</if>
            <if test="isUniqueCode != null">#{isUniqueCode},</if>
            <if test="isConsiderColor != null">#{isConsiderColor},</if>
            <if test="formula != null">#{formula},</if>
            <if test="productMaterial != null">#{productMaterial},</if>
            <if test="modality != null">#{modality},</if>
            <if test="surfaceTreatment != null">#{surfaceTreatment},</if>
            <if test="testStandard != null">#{testStandard},</if>
            <if test="screenItem != null">#{screenItem},</if>
            <if test="pibanItem != null">#{pibanItem},</if>
            <if test="diecuttingItem != null">#{diecuttingItem},</if>
            <if test="standardColor != null">#{standardColor},</if>
            <if test="module != null">#{module},</if>
            <if test="colNum != null">#{colNum},</if>
            <if test="buttstrapNum != null">#{buttstrapNum},</if>
            <if test="coldoubleCutspacing != null">#{coldoubleCutspacing},</if>
            <if test="rowdoubleCutspacing != null">#{rowdoubleCutspacing},</if>
            <if test="weight != null">#{weight},</if>
            <if test="isAllotype != null">#{isAllotype},</if>
            <if test="isRightAngle != null">#{isRightAngle},</if>
            <if test="angle != null">#{angle},</if>
            <if test="aperture != null">#{aperture},</if>
            <if test="thick != null">#{thick},</if>
            <if test="isMould != null">#{isMould},</if>
            <if test="isCoding != null">#{isCoding},</if>
            <if test="certification != null">#{certification},</if>
            <if test="shape != null">#{shape},</if>
            <if test="shapeSize != null">#{shapeSize},</if>
            <if test="remark != null">#{remark},</if>
            <if test="frontImg != null">#{frontImg},</if>
            <if test="backImg != null">#{backImg},</if>
            <if test="blownFilmWidth != null">#{blownFilmWidth},</if>
            <if test="blownFilmThickness != null">#{blownFilmThickness},</if>
            <if test="printingWidth != null">#{printingWidth},</if>
            <if test="inlay != null">#{inlay},</if>
            <if test="unitOfMeasure != null">#{unitOfMeasure},</if>
            <if test="customerConfirmedBy != null">#{customerConfirmedBy},</if>
            <if test="customerConfirmedDate != null">#{customerConfirmedDate},</if>
            <if test="rdApprovedBy != null">#{rdApprovedBy},</if>
            <if test="rdReviewedBy != null">#{rdReviewedBy},</if>
            <if test="rdPreparedBy != null">#{rdPreparedBy},</if>
            <if test="rowNum != null">#{rowNum},</if>
            <if test="isCreateSpec != null">#{isCreateSpec},</if>
            <if test="isNeedShoeImg != null">#{isNeedShoeImg},</if>
            <if test="isFillet != null">#{isFillet},</if>
            <if test="dieSunkOffsetOilTankNum != null">#{dieSunkOffsetOilTankNum},</if>
            <if test="printingMethod != null">#{printingMethod},</if>
        </trim>
    </insert>

    <update id="updateProProductionSolutionSpecificationSheet" parameterType="ProProductionSolutionSpecificationSheet">
        update pro_production_solution_specification_sheet
        <trim prefix="SET" suffixOverrides=",">
            <if test="productionSolutionId != null">production_solution_id = #{productionSolutionId},</if>
            <if test="specificationSheetType != null">specification_sheet_type = #{specificationSheetType},</if>
            <if test="brandName != null">brand_name = #{brandName},</if>
            <if test="enName != null">en_name = #{enName},</if>
            <if test="purchaseUnit != null">purchase_unit = #{purchaseUnit},</if>
            <if test="conversionValue != null">conversion_value = #{conversionValue},</if>
            <if test="singleLayerThick != null">single_layer_thick = #{singleLayerThick},</if>
            <if test="singleWeight != null">single_weight = #{singleWeight},</if>
            <if test="layerNum != null">layer_num = #{layerNum},</if>
            <if test="length != null">length = #{length},</if>
            <if test="height != null">height = #{height},</if>
            <if test="width != null">width = #{width},</if>
            <if test="printingPaperlenth != null">printing_paperlenth = #{printingPaperlenth},</if>
            <if test="printPaperwidth != null">print_paperwidth = #{printPaperwidth},</if>
            <if test="sendworkMultiple != null">sendwork_multiple = #{sendworkMultiple},</if>
            <if test="frontColorName != null">front_color_name = #{frontColorName},</if>
            <if test="oppositeColorName != null">opposite_color_name = #{oppositeColorName},</if>
            <if test="storePlace != null">store_place = #{storePlace},</if>
            <if test="isAddSimple != null">is_add_simple = #{isAddSimple},</if>
            <if test="isUniqueCode != null">is_unique_code = #{isUniqueCode},</if>
            <if test="isConsiderColor != null">is_consider_color = #{isConsiderColor},</if>
            <if test="formula != null">formula = #{formula},</if>
            <if test="productMaterial != null">product_material = #{productMaterial},</if>
            <if test="modality != null">modality = #{modality},</if>
            <if test="surfaceTreatment != null">surface_treatment = #{surfaceTreatment},</if>
            <if test="testStandard != null">test_standard = #{testStandard},</if>
            <if test="screenItem != null">screen_item = #{screenItem},</if>
            <if test="pibanItem != null">piban_item = #{pibanItem},</if>
            <if test="diecuttingItem != null">diecutting_item = #{diecuttingItem},</if>
            <if test="standardColor != null">standard_color = #{standardColor},</if>
            <if test="module != null">`module` = #{module},</if>
            <if test="colNum != null">col_num = #{colNum},</if>
            <if test="buttstrapNum != null">buttstrap_num = #{buttstrapNum},</if>
            <if test="coldoubleCutspacing != null">coldouble_cutspacing = #{coldoubleCutspacing},</if>
            <if test="rowdoubleCutspacing != null">rowdouble_cutspacing = #{rowdoubleCutspacing},</if>
            <if test="weight != null">weight = #{weight},</if>
            <if test="isAllotype != null">is_allotype = #{isAllotype},</if>
            <if test="isRightAngle != null">is_right_angle = #{isRightAngle},</if>
            <if test="angle != null">angle = #{angle},</if>
            <if test="aperture != null">aperture = #{aperture},</if>
            <if test="thick != null">thick = #{thick},</if>
            <if test="isMould != null">is_mould = #{isMould},</if>
            <if test="isCoding != null">is_coding = #{isCoding},</if>
            <if test="certification != null">certification = #{certification},</if>
            <if test="shape != null">shape = #{shape},</if>
            <if test="shapeSize != null">shape_size = #{shapeSize},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="frontImg != null">front_img = #{frontImg},</if>
            <if test="backImg != null">back_img = #{backImg},</if>
            <if test="blownFilmWidth != null">blown_film_width = #{blownFilmWidth},</if>
            <if test="blownFilmThickness != null">blown_film_thickness = #{blownFilmThickness},</if>
            <if test="printingWidth != null">printing_width = #{printingWidth},</if>
            <if test="inlay != null">inlay = #{inlay},</if>
            <if test="unitOfMeasure != null">unit_of_measure = #{unitOfMeasure},</if>
            <if test="customerConfirmedBy != null">customer_confirmed_by = #{customerConfirmedBy},</if>
            <if test="customerConfirmedDate != null">customer_confirmed_date = #{customerConfirmedDate},</if>
            <if test="rdApprovedBy != null">rd_approved_by = #{rdApprovedBy},</if>
            <if test="rdReviewedBy != null">rd_reviewed_by = #{rdReviewedBy},</if>
            <if test="rdPreparedBy != null">rd_prepared_by = #{rdPreparedBy},</if>
            <if test="rowNum != null">row_num = #{rowNum},</if>
            <if test="isCreateSpec != null">is_create_spec = #{isCreateSpec},</if>
            <if test="isNeedShoeImg != null">is_need_shoe_img = #{isNeedShoeImg},</if>
            <if test="isFillet != null">is_fillet = #{isFillet},</if>
            <if test="dieSunkOffsetOilTankNum != null">die_sunk_offset_oil_tank_num = #{dieSunkOffsetOilTankNum},</if>
            <if test="printingMethod != null">printing_method = #{printingMethod},</if>
        </trim>
        where specification_sheet_id = #{specificationSheetId}
    </update>

    <delete id="deleteProProductionSolutionSpecificationSheetBySpecificationSheetId" parameterType="Long">
        delete
        from pro_production_solution_specification_sheet
        where specification_sheet_id = #{specificationSheetId}
    </delete>

    <delete id="deleteProProductionSolutionSpecificationSheetBySpecificationSheetIds" parameterType="String">
        delete from pro_production_solution_specification_sheet where specification_sheet_id in
        <foreach item="specificationSheetId" collection="array" open="(" separator="," close=")">
            #{specificationSheetId}
        </foreach>
    </delete>
</mapper>